Bug 2057015

Summary: Tox cannot use user installed plugins, as it has -s in the shebang
Product: [Fedora] Fedora Reporter: Rich Megginson <rmeggins>
Component: python-toxAssignee: Rich Megginson <rmeggins>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: fge, mhroncok, mrunge, python-sig, till
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-tox-3.24.5-2.fc37 python-tox-3.24.5-2.fc35 python-tox-3.24.5-2.fc34 python-tox-3.24.5-2.el9 python-tox-3.24.5-2.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-01 18:19:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Rich Megginson 2022-02-22 14:54:36 UTC
Description of problem:

tox plugins installed in ~/.local/lib cannot be used by tox.  For example: `pip install --user git+https://github.com/linux-system-roles/tox-lsr@main`

I guess this is some sort of security issue, having tox exclude pip --user installed packages from PYTHONPATH - but there is no way to override this for "safe" plugins?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Till Maas 2022-02-22 15:57:04 UTC
I used to work in the past, didn't it?

Comment 2 Rich Megginson 2022-02-22 16:22:29 UTC
(In reply to Till Maas from comment #1)
> I used to work in the past, didn't it?

Yes.  I'm not sure when - sometime in 2020 or 2021 in f33 and/or f34 - some python rpm security feature was activated in fedora rpm builds which removed ~/.local from PYTHONPATH.

Comment 3 Miro Hrončok 2022-02-22 16:44:56 UTC
Oh, right. See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_shebangs

This can be fixed by: https://src.fedoraproject.org/rpms/python-notebook/c/066a4d0248569291f852f17e5ed3297db8985da7?branch=rawhide

Could you please send a pull request? If not, somebody from the Python Maint team will do it, probably within ~1 week.

Comment 5 Rich Megginson 2022-02-23 02:39:34 UTC
some of the Zuul tests failed, and as far as I can tell, the failures have nothing to do with my PR - and they don't appear to be flakes either - just broken tests.

Comment 6 Fedora Update System 2022-02-23 10:20:36 UTC
FEDORA-2022-d2a0fa2be6 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d2a0fa2be6

Comment 7 Fedora Update System 2022-02-23 10:20:48 UTC
FEDORA-2022-d2a0fa2be6 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-02-23 10:52:17 UTC
FEDORA-2022-e045602ff5 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e045602ff5

Comment 9 Fedora Update System 2022-02-23 10:52:19 UTC
FEDORA-EPEL-2022-0e94d4a25d has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-0e94d4a25d

Comment 10 Fedora Update System 2022-02-23 10:52:22 UTC
FEDORA-2022-f2194b5e99 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f2194b5e99

Comment 11 Fedora Update System 2022-02-23 10:52:24 UTC
FEDORA-2022-b92582ad8f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b92582ad8f

Comment 12 Rich Megginson 2022-02-23 14:44:11 UTC
Miro - thanks for the quick turnaround!

Comment 13 Miro Hrončok 2022-02-23 15:13:37 UTC
Thanks for the patch!

Comment 14 Fedora Update System 2022-02-23 15:50:50 UTC
FEDORA-2022-b92582ad8f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-b92582ad8f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b92582ad8f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-02-23 16:08:25 UTC
FEDORA-2022-f2194b5e99 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-f2194b5e99`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f2194b5e99

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-02-23 16:49:42 UTC
FEDORA-EPEL-2022-0e94d4a25d has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-0e94d4a25d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-02-24 01:45:11 UTC
FEDORA-2022-e045602ff5 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e045602ff5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e045602ff5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2022-03-01 18:19:29 UTC
FEDORA-2022-f2194b5e99 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-03-03 15:50:50 UTC
FEDORA-2022-b92582ad8f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-03-03 17:03:57 UTC
FEDORA-EPEL-2022-0e94d4a25d has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2022-03-26 15:00:01 UTC
FEDORA-2022-e045602ff5 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.